summaryrefslogtreecommitdiff
path: root/_linux/scripts/mcsr.sh
diff options
context:
space:
mode:
authorkkard2 <[email protected]>2025-10-30 14:08:15 +0100
committerkkard2 <[email protected]>2026-03-07 14:21:55 +0100
commit3ec7bf19b2be910ee28a89da9487c9725d86fe24 (patch)
treee5b6807a8ea281745a439a2128212e160520ae60 /_linux/scripts/mcsr.sh
parenta1b2c814e43161401889d7e0abdea2f46c7ed0ef (diff)
i use linux btw
Diffstat (limited to '_linux/scripts/mcsr.sh')
-rwxr-xr-x_linux/scripts/mcsr.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/_linux/scripts/mcsr.sh b/_linux/scripts/mcsr.sh
new file mode 100755
index 0000000..89d2136
--- /dev/null
+++ b/_linux/scripts/mcsr.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+pids=()
+
+cleanup() {
+ for pid in "${pids[@]}"; do
+ if kill -0 "$pid" 2>/dev/null; then
+ kill "$pid"
+ fi
+ done
+ exit 1
+}
+
+trap cleanup SIGINT SIGTERM
+
+sxhkd &
+pids+=($!)
+xeyesee &
+pids+=($!)
+nbb &
+pids+=($!)
+
+wait